---
updatedAt: 2026-06-16T16:54:49.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Schedule transfer [deprecated]

This endpoint is `DEPRECATED`. It is recommended you call [Schedule Transfer(s) V2](ref:post-schedule-pix-payment) instead.

Schedule a Pix-out transfer for a future date.

As with the [Pix-out transfer](ref:post-pix-out-transfer) endpoint, if you are using a key or QR Code, you need to call  <a href="https://developers.pismo.io/pismo-docs/reference/post-v2-pix-keys-validate">Validate DICT key</a> or <a href="https://developers.pismo.io/pismo-docs/reference/post-qr-code">Get and validate QR Code</a> before calling this endpoint. You need to enter the `end_to_end_id` returned from those calls here. If you are not using a key or QR Code, this endpoint generates and returns an `end_to_end_id` value you can use in other endpoints.

The `end_to_end_id` field is a Brazil Central Bank (BCB) requirement to track Pix transactions.  Basically, there are two steps to a Pix transaction: 1. Initialize a transaction and 2. Confirm a transaction. The `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. 

When the transfer takes place, <a href="https://developers.pismo.io/events/docs/pix-pix-out-1">Pix out notification received</a> and <a href="https://developers.pismo.io/events/docs/pix-financial-reconciliation-1">Pix reconciliation notification received </a> events are generated.

Also, when the transfer takes place, a <a href="https://developers.pismo.io/events/docs/pix-pix-in-1">Pix-in notification received</a> event is generated when the funds are deposited in the payee's account, which can be a Pismo account or an external account.

For all events, the `status` or `result` field indicates operation success or failure.

For more information, see the [Pix instant payments](doc:pix-instant-payments) guide.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Scheduled transfers"
    }
  ],
  "components": {
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "AccountID": {
        "type": "integer",
        "description": "Pismo account ID.",
        "example": 5869300
      },
      "AccountNumber": {
        "type": "string",
        "description": "Account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "AccountType": {
        "type": "string",
        "enum": [
          "CACC",
          "SLRY",
          "SVGS",
          "TRAN"
        ],
        "maxLength": 4,
        "description": "Account type:  <br />\n  `CACC` - Checking/current account.  Known as \"conta corrente\" in Portuguese, this is a bank account type designed for everyday financial transactions and is the most common type individuals and businesses use for day-to-day banking.<br />\n  `SVGS` - Savings account<br />\n  `TRAN` - Payment account. Payment institutions offer payment accounts to move funds and make payments, while banks offer checking accounts that include full financial services such as credit and investments.<br />\n  `SLRY` - Salary account. Employer deposits a fixed amount every month.<br />\n",
        "example": "TRAN"
      },
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "Bank": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID for the receiving bank, an 8-digit value.",
        "maxLength": 8,
        "example": "237"
      },
      "BeneficiaryID": {
        "type": "string",
        "maxLength": 36,
        "description": "Beneficiary ID. This ID created when the [Register beneficiary](https://developers.pismo.io/pismo-docs/reference/post-intl-bank-accounts-v1-bank-accounts-beneficiaries) endpoint is called.\n",
        "example": "97c96d96-9b87-404b-88e5-287f2b0e6e0a"
      },
      "Branch": {
        "type": "string",
        "description": "This could be a bank-assigned branch ID or the branch's ISPB number.",
        "maxLength": 4,
        "example": "011"
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "EndToEndID": {
        "type": "string",
        "description": "This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. \nBasically, there are two steps to a Pix transaction:\n    1. Initialize a transaction \n    2. Confirm a transaction\nThe `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. \n",
        "example": "E3030629420200808195101608910248"
      },
      "ScheduleInitiationType": {
        "type": "string",
        "enum": [
          "MANUAL",
          "DICT",
          "STATIC_QRCODE",
          "DYNAMIC_QRCODE"
        ],
        "maxLength": 20,
        "description": "Initiation type:  \n\n  `MANUAL` - Manually initiated. Key is not used - bank account, bank code, document number, and branch are used for identification.\n\n  `DICT` - Diretorio de Identificadores de Contas de Transação (Transaction accounts ID directory). Pix/DICT key is used for identification.\n\n  `DYNAMIC_QRCODE` - The amount and other details for a dynamic code are included automatically. \n",
        "example": "DICT"
      },
      "ISPB": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID, an 8-digit value.",
        "maxLength": 8,
        "example": "60701190"
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "pix.PixOutScheduleResponse": {
        "type": "object",
        "required": [
          "amount",
          "payee",
          "payer",
          "schedule_creation_datetime",
          "schedule_datetime",
          "schedule_id",
          "status"
        ],
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "payee": {
            "type": "object",
            "description": "Payee's information.",
            "properties": {
              "document_number": {
                "$ref": "#/components/schemas/DocumentNumber"
              },
              "ispb": {
                "$ref": "#/components/schemas/ISPB"
              },
              "name": {
                "$ref": "#/components/schemas/Name"
              }
            }
          },
          "payer": {
            "type": "object",
            "description": "Payer's information.",
            "properties": {
              "document_number": {
                "$ref": "#/components/schemas/DocumentNumber"
              },
              "ispb": {
                "$ref": "#/components/schemas/ISPB"
              },
              "name": {
                "$ref": "#/components/schemas/Name"
              }
            }
          },
          "schedule_creation_datetime": {
            "$ref": "#/components/schemas/ScheduleCreationDatetime"
          },
          "schedule_datetime": {
            "$ref": "#/components/schemas/ScheduleDatetime"
          },
          "schedule_id": {
            "$ref": "#/components/schemas/SchedulerID"
          },
          "status": {
            "$ref": "#/components/schemas/TransferStatus"
          }
        }
      },
      "pix.PixOutScheduleRequest": {
        "required": [
          "account_id",
          "amount",
          "bank_account",
          "initiation_type",
          "ispb",
          "payee",
          "schedule_datetime"
        ],
        "type": "object",
        "properties": {
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "bank_account": {
            "$ref": "#/components/schemas/pix.ScheduleBankAccount"
          },
          "initiation_type": {
            "$ref": "#/components/schemas/ScheduleInitiationType"
          },
          "ispb": {
            "$ref": "#/components/schemas/ISPB"
          },
          "payee": {
            "$ref": "#/components/schemas/pix.SchedulePayee"
          },
          "schedule_datetime": {
            "$ref": "#/components/schemas/ScheduleDatetime"
          },
          "remittance_information": {
            "$ref": "#/components/schemas/RemittanceInformation"
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          }
        }
      },
      "pix.ScheduleBankAccount": {
        "type": "object",
        "required": [
          "account_number",
          "account_type",
          "branch"
        ],
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          }
        }
      },
      "pix.SchedulePayee": {
        "type": "object",
        "required": [
          "account_number",
          "account_type",
          "bank",
          "branch",
          "document_number",
          "name"
        ],
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "bank": {
            "$ref": "#/components/schemas/Bank"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "name": {
            "$ref": "#/components/schemas/Name"
          },
          "key": {
            "type": "string",
            "description": "Key value. Cannot be passed when `initiation_type` is `MANUAL`",
            "example": "45fe6866-21a5-4f6d-84c2-950a2a1df8e7"
          },
          "beneficiary_id": {
            "$ref": "#/components/schemas/BeneficiaryID"
          }
        }
      },
      "RemittanceInformation": {
        "type": "string",
        "description": "Remittance information. Information from payee when transaction is a static QR Code.\n",
        "maxLength": 140
      },
      "ScheduleCreationDatetime": {
        "type": "string",
        "description": "Scheduled transfer creation datetime. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "ScheduleDatetime": {
        "type": "string",
        "description": "Date to schedule the process. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "SchedulerID": {
        "type": "string",
        "description": "Scheduled PIX transaction ID",
        "example": "7b29a055-00e1-41e5-b880-aebe517b3bf6"
      },
      "TransferStatus": {
        "type": "string",
        "description": "Scheduled transfer status.",
        "example": "SCHEDULED",
        "enum": [
          "SCHEDULED",
          "CANCELLED",
          "SETTLED",
          "FAILED"
        ]
      }
    }
  },
  "paths": {
    "/pix/v1/pix/out/schedule": {
      "post": {
        "tags": [
          "Scheduled transfers"
        ],
        "summary": "Schedule transfer [deprecated]",
        "deprecated": true,
        "description": "This endpoint is `DEPRECATED`. It is recommended you call [Schedule Transfer(s) V2](https://developers.pismo.io/pismo-docs/reference/post-schedule-pix-payment) instead.\n\nSchedule a Pix-out transfer for a future date.\n\nAs with the [Pix-out transfer](https://developers.pismo.io/pismo-docs/reference/post-pix-out-transfer) endpoint, if you are using a key or QR Code, you need to call  <a href=\"https://developers.pismo.io/pismo-docs/reference/post-v2-pix-keys-validate\">Validate DICT key</a> or <a href=\"https://developers.pismo.io/pismo-docs/reference/post-qr-code\">Get and validate QR Code</a> before calling this endpoint. You need to enter the `end_to_end_id` returned from those calls here. If you are not using a key or QR Code, this endpoint generates and returns an `end_to_end_id` value you can use in other endpoints.\n\nThe `end_to_end_id` field is a Brazil Central Bank (BCB) requirement to track Pix transactions.  Basically, there are two steps to a Pix transaction: 1. Initialize a transaction and 2. Confirm a transaction. The `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. \n\nWhen the transfer takes place, <a href=\"https://developers.pismo.io/events/docs/pix-pix-out-1\">Pix out notification received</a> and <a href=\"https://developers.pismo.io/events/docs/pix-financial-reconciliation-1\">Pix reconciliation notification received </a> events are generated.\n\nAlso, when the transfer takes place, a <a href=\"https://developers.pismo.io/events/docs/pix-pix-in-1\">Pix-in notification received</a> event is generated when the funds are deposited in the payee's account, which can be a Pismo account or an external account.\n\nFor all events, the `status` or `result` field indicates operation success or failure.\n\nFor more information, see the [Pix instant payments](https://developers.pismo.io/pismo-docs/docs/pix-instant-payments) guide.\n",
        "operationId": "post-schedule",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          }
        ],
        "requestBody": {
          "description": "Request Body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/pix.PixOutScheduleRequest"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pix.PixOutScheduleResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0003": {
                    "summary": "Account not found",
                    "value": {
                      "code": "EPIX0003",
                      "message": "Account not found"
                    }
                  },
                  "EPIX0019": {
                    "summary": "Accounts - API returned 4xx error",
                    "value": {
                      "code": "EPIX0019",
                      "message": "Accounts - API returned 4xx error"
                    }
                  },
                  "EPIX0020": {
                    "summary": "SPI Gateway - API returned 4xx error",
                    "value": {
                      "code": "EPIX0020",
                      "message": "SPI Gateway - API returned 4xx error"
                    }
                  },
                  "EPIX0032": {
                    "summary": "Error unmarshalling request body",
                    "value": {
                      "code": "EPIX0032",
                      "message": "Error unmarshalling request body"
                    }
                  },
                  "EPIX0049": {
                    "summary": "Payload validation",
                    "value": {
                      "code": "EPIX0049",
                      "message": "Validation error",
                      "details": {
                        "payload": [
                          {
                            "field": "schedule_datetime",
                            "message": "Field \"schedule_datetime\" is required"
                          },
                          {
                            "field": "initiation_type",
                            "message": "Field \"initiation_type\" is required"
                          }
                        ]
                      }
                    }
                  },
                  "EPIX0091": {
                    "summary": "Pix Schedule - schedule date is invalid",
                    "value": {
                      "code": "EPIX0091",
                      "message": "Pix Schedule - schedule date is invalid"
                    }
                  },
                  "EPIX0092": {
                    "summary": "Pix Schedule - EndToEndId should be provided",
                    "value": {
                      "code": "EPIX0092",
                      "message": "Pix Schedule - EndToEndId should be provided"
                    }
                  },
                  "EPIX0099": {
                    "summary": "Account id header does not match request body",
                    "value": {
                      "code": "EPIX0099",
                      "message": "Account id header does not match request body"
                    }
                  },
                  "EPIX0125": {
                    "summary": "Key cannot be sent when `initiation_type` is `MANUAL`",
                    "value": {
                      "code": "EPIX0125",
                      "message": "Key cannot be sent when `initiation_type` is `MANUAL`"
                    }
                  },
                  "EPIX0126": {
                    "summary": "Required Key",
                    "value": {
                      "code": "EPIX0126",
                      "message": "Required Key"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0009": {
                    "summary": "Missing required header: \"x-tenant\"",
                    "value": {
                      "code": "EPIX0009",
                      "message": "Missing required header: \"x-tenant\""
                    }
                  },
                  "EPIX0010": {
                    "summary": "Invalid account id header: \"x-account-id\"",
                    "value": {
                      "code": "EPIX0010",
                      "message": "Invalid account id header: \"x-account-id\""
                    }
                  },
                  "EPIX0069": {
                    "summary": "Missing required header: \"Idempotency-Key\"",
                    "value": {
                      "code": "EPIX0069",
                      "message": "Missing required header: \"Idempotency-Key\""
                    }
                  },
                  "EPIX0132": {
                    "summary": "Invalid field size for Idempotency-Key",
                    "value": {
                      "code": "EPIX0132",
                      "message": "Invalid field size for Idempotency-Key"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0041": {
                    "summary": "SPI Gateway - Not found error. Check details",
                    "value": {
                      "code": "EPIX0041",
                      "message": "SPI Gateway - Not found error. Check details"
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0008": {
                    "summary": "Account blocked or cancelled",
                    "value": {
                      "code": "EPIX0008",
                      "message": "Account blocked or cancelled"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0031": {
                    "summary": "SPI Gateway - API returned a rate limit error",
                    "value": {
                      "code": "EPIX0031",
                      "message": "SPI Gateway - API returned a rate limit error"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0004": {
                    "summary": "Internal server error",
                    "value": {
                      "code": "EPIX0004",
                      "message": "Internal server error"
                    }
                  },
                  "EPIX0005": {
                    "summary": "Error unmarshalling object",
                    "value": {
                      "code": "EPIX0005",
                      "message": "Error unmarshalling object"
                    }
                  },
                  "EPIX0007": {
                    "summary": "HTTP error",
                    "value": {
                      "code": "EPIX0007",
                      "message": "HTTP error"
                    }
                  },
                  "EPIX0017": {
                    "summary": "Accounts - API returned 5xx error",
                    "value": {
                      "code": "EPIX0017",
                      "message": "Accounts - API returned 5xx error"
                    }
                  },
                  "EPIX0042": {
                    "summary": "Accounts API timeout error",
                    "value": {
                      "code": "EPIX0042",
                      "message": "Accounts API timeout error"
                    }
                  },
                  "EPIX0095": {
                    "summary": "Pix Schedule - Error marshalling schedule transfer",
                    "value": {
                      "code": "EPIX0095",
                      "message": "Pix Schedule - Error marshalling schedule transfer"
                    }
                  },
                  "EPIX0096": {
                    "summary": "Pix Schedule - Error on start queue scheduler",
                    "value": {
                      "code": "EPIX0096",
                      "message": "Pix Schedule - Error on start queue scheduler"
                    }
                  },
                  "EPIX0097": {
                    "summary": "Pix Schedule - Error persisting transaction",
                    "value": {
                      "code": "EPIX0097",
                      "message": "Pix Schedule - Error persisting transaction"
                    }
                  },
                  "EPIX0098": {
                    "summary": "Pix Schedule - Error persisting scheduled transfers",
                    "value": {
                      "code": "EPIX0098",
                      "message": "Pix Schedule - Error persisting scheduled transfers"
                    }
                  }
                }
              }
            }
          },
          "502": {
            "description": "Bad Gateway",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0018": {
                    "summary": "SPI Gateway - API returned error",
                    "value": {
                      "code": "EPIX0018",
                      "message": "SPI Gateway - API returned error"
                    }
                  }
                }
              }
            }
          },
          "504": {
            "description": "Gateway Timeout",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0030": {
                    "summary": "SPI Gateway - API returned a timeout error",
                    "value": {
                      "code": "EPIX0030",
                      "message": "SPI Gateway - API returned a timeout error"
                    }
                  }
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "RequestBody"
      }
    }
  }
}
```